summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Olivier Esser <olive001@tele2allin.be>2010-05-11 20:00:59 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:59 +0200
commit9d089fdab23a1a1877e0dbfb97e22445190ab5aa (patch)
tree4fc89060c7f661b9266ac9512089c5574ce20d54 /libraries
parentf43f8e3b43cb8ce9fcf128ce2082a0737b360c33 (diff)
downloadslackbuilds-9d089fdab23a1a1877e0dbfb97e22445190ab5aa.tar.gz
slackbuilds-9d089fdab23a1a1877e0dbfb97e22445190ab5aa.tar.xz
libraries/pwlib: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/pwlib/README4
-rw-r--r--libraries/pwlib/pwlib.SlackBuild59
-rw-r--r--libraries/pwlib/pwlib.info8
-rw-r--r--libraries/pwlib/slack-desc19
4 files changed, 90 insertions, 0 deletions
diff --git a/libraries/pwlib/README b/libraries/pwlib/README
new file mode 100644
index 0000000000..45c20b6801
--- /dev/null
+++ b/libraries/pwlib/README
@@ -0,0 +1,4 @@
+PWLib is a moderately large class library intended to assist in writing
+complete multi-platform applications. Classes for I/O portability,
+multi-threading portability, aids in producing UNIX daemons and NT services
+portably and all sorts of internet protocols are supported.
diff --git a/libraries/pwlib/pwlib.SlackBuild b/libraries/pwlib/pwlib.SlackBuild
new file mode 100644
index 0000000000..6f293834fa
--- /dev/null
+++ b/libraries/pwlib/pwlib.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for pwlib
+
+# Written by Olivier Esser (olive001@tele2allin.be), based on
+# the template available at SlackBuilds.org (public domain).
+
+# Exit on most errors
+set -e
+
+PRGNAM=pwlib
+VERSION=1.10.10
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ReadMe.txt History.txt ReadMe_QOS.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/pwlib/pwlib.info b/libraries/pwlib/pwlib.info
new file mode 100644
index 0000000000..8782db8b33
--- /dev/null
+++ b/libraries/pwlib/pwlib.info
@@ -0,0 +1,8 @@
+PRGNAM="pwlib"
+VERSION="1.10.10"
+HOMEPAGE="http://ekiga.org"
+DOWNLOAD="http://www.ekiga.org/admin/downloads/latest/sources/sources/pwlib-1.10.10.tar.gz"
+MD5SUM="abebf45332e70772ffa876d31975d4b9"
+MAINTAINER="Olivier Esser"
+EMAIL="olive001@tele2allin.be"
+APPROVED="rworkman"
diff --git a/libraries/pwlib/slack-desc b/libraries/pwlib/slack-desc
new file mode 100644
index 0000000000..219c086e45
--- /dev/null
+++ b/libraries/pwlib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pwlib: pwlib (Classes for I/O portability)
+pwlib:
+pwlib: PWLib is a moderately large class library intended to assist in writing
+pwlib: complete multi-platform applications. Classes for I/O portability,
+pwlib: multi-threading portability, aids in producing UNIX daemons and NT
+pwlib: services portably and all sorts of internet protocols are supported.
+pwlib:
+pwlib: Homepage: http://ekiga.org
+pwlib:
+pwlib:
+pwlib: